import { apiResquest } from '../request/request.js'
import { apiResquestForm } from '../request/request.js'
import { apiResquestJsonList } from '../request/request.js'
import { apiResquestFormVideo } from '../request/request.js'
import { apiResquestTimer } from '../request/request.js'
//应急处置-查询楼栋楼层
export const laboratoryBigViewGetBuildByBigView = (data) => {
	return apiResquest({
		url: `/laboratory/bigView/getBuildByBigView`,
		method: 'GET',
		data: data,
	})
};
/****************疏散相关接口****************/
//查询当前用户下的预案触发数据
export const laboratoryBigViewSelectTriggerInfo = (data) => {
    return apiResquest({
        url: `/laboratory/bigView/selectTriggerInfo`,
        method: 'GET',
        data: data,
    })
};
//-应急处置-楼层布局数据
export const laboratoryBigViewGetFloorByBigView  = (data) => {
    return apiResquest({
        url: `/laboratory/bigView/getFloorByBigView`,
        method: 'GET',
		data:data,
    })
};
//查询当前发生的疏散
export const laboratoryExitLineGetRedisEvacuation  = (data) => {
    return apiResquest({
        url: `/laboratory/exitLine/getRedisEvacuation`,
        method: 'post',
        data: data
    })
};
//应急处置-执行疏散
export const laboratoryExitLineExecuteEvacuation  = (data) => {
    return apiResquest({
        url: `/laboratory/exitLine/executeEvacuation`,
        method: 'post',
        data: data
    })
};
//应急处置-结束疏散
export const laboratoryexitLineEndEvacuation  = (data) => {
    return apiResquest({
        url: `/laboratory/exitLine/endEvacuation`,
        method: 'post',
        data: data
    })
};
//应急处置-开灯
export const laboratoryExitRelayOpenLight  = (data) => {
    return apiResquest({
        url: `/laboratory/exitRelay/openLight`,
        method: 'post',
        data: data
    })
};
//应急处置-关灯
export const laboratoryExitRelayCloseLight  = (data) => {
    return apiResquest({
        url: `/laboratory/exitRelay/closeLight`,
        method: 'post',
        data: data
    })
};
//应急处置-结束预案
export const laboratoryPlanCloseRiskPlan  = (data) => {
    return apiResquest({
        url: `/laboratory/plan/closeRiskPlan`,
        method: 'GET',
        data: data,
    })
};



//安全准入审核列表接口
export const laboratoryAppletAuditListByApply = (data) => {
	return apiResquest({
		url: `/laboratory/applet/auditListByApply`,
		method: 'POST',
		data: { ...data }
	})
};
//审核信息详情(管理端)
export const laboratoryAppletGetApplyDetails  = (data) => {
    return apiResquest({
        url: `/laboratory/applet/getApplyDetails`,
        method: 'GET',
        data: data,
    })
};

//安全准入审批接口
export const laboratoryAppletEditApp  = (data) => {
    return apiResquest({
        url: '/laboratory/applet/editApp',
        method: 'POST',
        data: data,
    })
};



